import 'game.dart';
import 'colors.dart';
import 'settings_manager.dart';
import 'ui.dart';

mixin class AppSettings {
  final Settings appSettings = Settings();
  static bool _isInitialized = false;

  Future<void> initSettings() async {
    if (_isInitialized) return;
    _isInitialized = true;
    appSettings.register(gameSettings);
    appSettings.register(colorSettings);
    appSettings.register(uiSettings);
    await appSettings.init();
  }
}
